#!/bin/bash

if [ -z "$1" ]; then
  filename="/tmp/git-events-listener.txt"
else
  filename=$1
fi

#!/bin/bash
if [ -e "$filename" ]; then
  result=1
  line=$(head -n 1 "$filename")
  IFS=';' read -r -a array <<<"$line"
  healthcheck_time="${array[0]}"
  status="${array[1]}"

  echo "$healthcheck_time"
  curr=$(date '+%s')
  echo "$curr"

  diff=$(("$healthcheck_time" - "$curr"))
  if [[ $diff -lt 70 ]]; then
    echo "Last time of update is within the proper window. Let us check status "
    result=$((result * 1))
  fi

  # Check the status field
  if [[ ($status = 'HEALTHY') && $result -gt 0 ]]; then
    echo "Status is healthy."
    result=$((result * 1))
  fi

  if [ "$result" = 1 ]; then
    echo "Overall Status is healthy"
    exit 0
  else
    echo "Overall Status is unhealthy"
    exit 1
  fi
else
  echo "health check file doesn't exist"
  exit 1
fi
